Bug 988999 - (CVE-2013-4854) CVE-2013-4854 bind: named crash with an assertion failure on parsing malformed rdata
CVE-2013-4854 bind: named crash with an assertion failure on parsing malforme...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130726,repo...
: Security
Depends On: 989006 989008 989009 989010 989011 989012
Blocks: 989001
  Show dependency treegraph
 
Reported: 2013-07-26 17:25 EDT by Vincent Danen
Modified: 2015-11-24 10:34 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 01:32:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for CVE-2013-4854 (533 bytes, patch)
2013-07-26 17:31 EDT, Vincent Danen
no flags Details | Diff

  None (edit)
Description Vincent Danen 2013-07-26 17:25:01 EDT
It was reported that when ISC implemented support for RFC 5011 in BIND 9.7, it inadvertently introduced a bug that would cause named to crash when receiving a specially crafted query which included malformed rdata.  The named daemon would terminate with an assertion failure when rejecting the malformed query.

As this was introduced in BIND 9.7, earlier versions are unaffected by this flaw.


External References:

https://kb.isc.org/article/AA-01015/74/CVE-2013-4854%3A-A-specially-crafted-query-can-cause-BIND-to-terminate-abnormally.html
https://kb.isc.org/article/AA-01016
Comment 1 Vincent Danen 2013-07-26 17:31:57 EDT
Created attachment 778891 [details]
fix for CVE-2013-4854

Relevant changes between 9.8.5-P1 and 9.8.5-P2.
Comment 2 Vincent Danen 2013-07-26 17:35:22 EDT
Statement:

This issue did not affect the versions of bind as shipped with Red Hat Enterprise Linux 5.  It does affect the versions of bind97 as shipped with Red Hat Enterprise Linux 5 and the versions of bind as shipped with Red Hat Enterprise Linux 6.
Comment 5 Vincent Danen 2013-07-26 17:47:09 EDT
Created bind tracking bugs for this issue:

Affects: fedora-all [bug 989011]
Comment 8 errata-xmlrpc 2013-07-29 22:46:32 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1114 https://rhn.redhat.com/errata/RHSA-2013-1114.html
Comment 9 errata-xmlrpc 2013-07-29 22:56:33 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1115 https://rhn.redhat.com/errata/RHSA-2013-1115.html
Comment 10 Fedora Update System 2013-08-02 18:04:20 EDT
bind-9.9.3-5.P2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-08-03 20:13:33 EDT
bind-9.9.3-4.P2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.